From 696d40daf13e04bcea34efd1582488ca499e5070 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 1 Apr 2025 10:36:51 +0000
Subject: [PATCH] xz: upgrade 5.6.4 -> 5.8.0

---
 .../xz/{xz_5.6.4.bb => xz_5.8.0.bb}           | 56 ++++++++++++++++++-
 1 file changed, 54 insertions(+), 2 deletions(-)
 rename meta/recipes-extended/xz/{xz_5.6.4.bb => xz_5.8.0.bb} (55%)

diff --git a/meta/recipes-extended/xz/xz_5.6.4.bb b/meta/recipes-extended/xz/xz_5.8.0.bb
similarity index 55%
rename from meta/recipes-extended/xz/xz_5.6.4.bb
rename to meta/recipes-extended/xz/xz_5.8.0.bb
index e48f4dbd7f..aefd85e152 100644
--- a/meta/recipes-extended/xz/xz_5.6.4.bb
+++ b/meta/recipes-extended/xz/xz_5.8.0.bb
@@ -1,3 +1,55 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -40,6 +40,12 @@
+#          free software licenses. These aren't built or installed as
+#          part of XZ Utils.
+#  
+# +    The following command may be helpful in finding per-file license
+# +    information. It works on xz.git and on a clean file tree extracted
+# +    from a release tarball.
+# +
+# +        sh build-aux/license-check.sh -v
+# +
+#      For the files under the BSD Zero Clause License (0BSD), if
+#      a copyright notice is needed, the following is sufficient:
+#  
+# @@ -59,25 +65,6 @@
+#        - COPYING.GPLv2: GNU General Public License version 2
+#        - COPYING.GPLv3: GNU General Public License version 3
+#  
+# -    A note about old XZ Utils releases:
+# -
+# -        XZ Utils releases 5.4.6 and older and 5.5.1alpha have a
+# -        significant amount of code put into the public domain and
+# -        that obviously remains so. The switch from public domain to
+# -        0BSD for newer releases was made in Febrary 2024 because
+# -        public domain has (real or perceived) legal ambiguities in
+# -        some jurisdictions.
+# -
+# -        There is very little *practical* difference between public
+# -        domain and 0BSD. The main difference likely is that one
+# -        shouldn't claim that 0BSD-licensed code is in the public
+# -        domain; 0BSD-licensed code is copyrighted but available under
+# -        an extremely permissive license. Neither 0BSD nor public domain
+# -        require retaining or reproducing author, copyright holder, or
+# -        license notices when distributing the software. (Compare to,
+# -        for example, BSD 2-Clause "Simplified" License which does have
+# -        such requirements.)
+# -
+#      If you have questions, don't hesitate to ask for more information.
+#      The contact information is in the README file.
+#  
+# 
+#
+
 SUMMARY = "Utilities for managing LZMA compressed files"
 HOMEPAGE = "https://tukaani.org/xz/"
 DESCRIPTION = "XZ Utils is free general-purpose data compression software with a high compression ratio. XZ Utils were written for POSIX-like systems, but also work on some not-so-POSIX systems. XZ Utils are the successor to LZMA Utils."
@@ -17,7 +69,7 @@ LICENSE:${PN}-dbg = "GPL-2.0-or-later"
 LICENSE:${PN}-locale = "GPL-2.0-or-later"
 LICENSE:liblzma = "0BSD"
 
-LIC_FILES_CHKSUM = "file://COPYING;md5=c02de712b028a5cc7e22472e8f2b3db1 \
+LIC_FILES_CHKSUM = "file://COPYING;md5=d38d562f6112174de93a9677682231b2 \
                     file://COPYING.0BSD;md5=0672c210ce80c83444339b9aa31fee2f \
                     file://COPYING.GPLv2;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
                     file://COPYING.GPLv3;md5=1ebbd3e34237af26da5dc08a4e440464 \
@@ -28,7 +80,7 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=c02de712b028a5cc7e22472e8f2b3db1 \
 SRC_URI = "https://github.com/tukaani-project/xz/releases/download/v${PV}/xz-${PV}.tar.gz \
            file://run-ptest \
           "
-SRC_URI[sha256sum] = "269e3f2e512cbd3314849982014dc199a7b2148cf5c91cedc6db629acdf5e09b"
+SRC_URI[sha256sum] = "b523c5e47d1490338c5121bdf2a6ecca2bcf0dce05a83ad40a830029cbe6679b"
 UPSTREAM_CHECK_REGEX = "releases/tag/v(?P<pver>\d+(\.\d+)+)"
 UPSTREAM_CHECK_URI = "https://github.com/tukaani-project/xz/releases/"
 
-- 
2.47.1

